%define upstream_name    PDF-API2
%define upstream_version 2.047

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    PDF-API2 Perl module
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Font::TTF)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Memory::Cycle)
BuildArch:  noarch

Requires:   fonts-ttf-dejavu
%description
This module is 'The Next Generation' of Text::PDF::API which initially 
provided a nice API around the Text::PDF::* modules created by Martin Hosken.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find contrib -type f | xargs \
    perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install
rm -f %{buildroot}%{perl_vendorlib}/PDF/API2/Win32.pm
rm -f %{buildroot}%{perl_vendorlib}/PDF/API2/Basic/TTF/Win32.pm
rm -rf %{buildroot}%{perl_vendorlib}/PDF/API2/fonts

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 contrib/* %{buildroot}%{_bindir}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml PATENTS README
%{perl_vendorlib}/PDF
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Wed May 22 2024 tv <tv> 2.47.0-1.mga10
+ Revision: 2065967
- update to 2.047

* Mon Oct 02 2023 tv <tv> 2.45.0-1.mga10
+ Revision: 1992923
- update to 2.045

* Tue Nov 22 2022 tv <tv> 2.44.0-1.mga9
+ Revision: 1910098
- update to 2.044

* Mon Mar 21 2022 umeabot <umeabot> 2.43.0-2.mga9
+ Revision: 1815783
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 2.43.0-1.mga9
+ Revision: 1761837
- update to 2.043

* Mon Sep 20 2021 tv <tv> 2.42.0-1.mga9
+ Revision: 1746063
- update to 2.042

* Fri Jul 30 2021 tv <tv> 2.41.0-1.mga9
+ Revision: 1738192
- update to 2.041

* Mon Apr 19 2021 tv <tv> 2.40.0-1.mga9
+ Revision: 1716873
- update to 2.040

* Sat Mar 06 2021 tv <tv> 2.39.0-1.mga9
+ Revision: 1700188
- update to 2.039

* Tue Sep 01 2020 tv <tv> 2.38.0-1.mga8
+ Revision: 1620583
- update to 2.038

* Fri Feb 21 2020 umeabot <umeabot> 2.37.0-2.mga8
+ Revision: 1547859
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 2.37.0-1.mga8
+ Revision: 1488511
- update to 2.037

* Sat Sep 21 2019 tv <tv> 2.36.0-1.mga8
+ Revision: 1444445
- update to 2.036

* Sat Aug 10 2019 tv <tv> 2.35.0-1.mga8
+ Revision: 1428511
- update to 2.035

* Sun Jun 30 2019 tv <tv> 2.34.0-1.mga8
+ Revision: 1416435
- update to 2.034

* Thu Sep 20 2018 umeabot <umeabot> 2.33.0-3.mga7
+ Revision: 1285460
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.33.0-2.mga7
+ Revision: 1166143
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 2.33.0-1.mga7
+ Revision: 1159478
- update to 2.033

* Sun Jun 19 2016 pterjan <pterjan> 2.27.0-2.mga6
+ Revision: 1031946
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 2.27.0-1.mga6
+ Revision: 989835
- update to 2.027

* Thu Feb 25 2016 shlomif <shlomif> 2.26.0-1.mga6
+ Revision: 978815
- update to 2.026

* Fri Feb 19 2016 umeabot <umeabot> 2.25.0-2.mga6
+ Revision: 970027
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 2.25.0-1.mga6
+ Revision: 884782
- update to 2.025

* Sun Jun 28 2015 sander85 <sander85> 2.23.0-1.mga6
+ Revision: 846540
- update to 2.023

* Sat Oct 18 2014 umeabot <umeabot> 2.22.0-4.mga5
+ Revision: 788010
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.22.0-3.mga5
+ Revision: 739610
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.22.0-2.mga5
+ Revision: 685801
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 2.22.0-1.mga5
+ Revision: 650396
- update to 2.022

* Mon Feb 24 2014 jquelin <jquelin> 2.21.0-1.mga5
+ Revision: 596368
- update to 2.021

* Sat Oct 19 2013 umeabot <umeabot> 2.20.0-2.mga4
+ Revision: 527192
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.20.0-1.mga4
+ Revision: 439716
- update to 2.020

* Sun Jan 13 2013 umeabot <umeabot> 2.19.0-2.mga3
+ Revision: 371193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 13 2011 jquelin <jquelin> 2.19.0-1.mga1
+ Revision: 70505
- update to 2.019

* Sat Feb 26 2011 jquelin <jquelin> 2.18.0-1.mga1
+ Revision: 60384
- update to 2.018

* Wed Feb 16 2011 jquelin <jquelin> 2.16.0-1.mga1
+ Revision: 52676
- update to 2.016

* Sun Jan 23 2011 jquelin <jquelin> 0.730.0-3.mga1
+ Revision: 34066
- mageia rebuild
- imported package perl-PDF-API2

